rYP <- function(th1, th2, n, aX) {
#### Please refer to the function simuDataYP() on the method
#### used here. We return  H^(-1) (Z), with Z exp(1) r.v.

if(th1 <= 0) stop("th1 must > 0")
if(th2 <= 0) stop("th2 must > 0")
if( any(aX) <= 0) stop("aX must > 0")
if(length(aX) != n) stop("check length of aX")
XUnif <- runif(n)
temp <- 1+( XUnif^(-1/(th2*aX)) -1)* th2/th1
## may also use the following two lines
## Xexp <- rexp(n)
## temp <- 1+( exp(Xexp/(th2*aX)) -1)* th2/th1
if (any(temp <= 0)) stop( "check inputs" )
return(log(temp))
}
